Loading...
Searching...
No Matches
space.cc File Reference

Go to the source code of this file.

## Namespaces

namespace | rheolef
| This file is part of Rheolef.

## Macros

#define | _RHEOLEF_space_real(M)
#define | _RHEOLEF_instanciation(T, M)

## Functions

| _RHEOLEF_space_real (sequential) _RHEOLEF_space_real(distributed) template< class T
t | operator() (const t &a, const t &b)
| _RHEOLEF_instanciation (Float, sequential) _RHEOLEF_instanciation(Float

## Macro Definition Documentation

## _RHEOLEF_space_real

#define _RHEOLEF_space_real | ( |  | M | ) |

Value:
template <class T> \
space_basic<T,M> \
space_basic<T,M>::real() \
{ \
return space_basic<T,M> (geo_basic<T,M>(details::zero_dimension()), "P1"); \
}

Definition at line 310 of file space.cc.

## _RHEOLEF_instanciation

#define _RHEOLEF_instanciation | ( |  | T,
|  |  | M
| ) |  |

Value:
template class space_base_rep<T,M>; \
template space_basic<T,M> space_basic<T,M>::real();

Definition at line 471 of file space.cc.